Автор Тема: Приблем с SA Dictionary 2.2  (Прочетена 3026 пъти)

wandererbg

  • Напреднали
  • *****
  • Публикации: 36
    • Профил
Приблем с SA Dictionary 2.2
« -: Mar 26, 2003, 21:52 »
Използвам Red Hat 7.3, bglinux4.3, GNOME,SA Dictionary 2.2.Речникът не работи с кирилица,а някои обяснения не се изписват-когато някое значение на думата е по-дълго от 1 ред. '<img'>
Активен

Nuclear_man

  • Напреднали
  • *****
  • Публикации: 121
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #1 -: Mar 28, 2003, 08:49 »
Пусни си в опциите на речника Latin output, за да си решиш поне единия от проблемите.
А Мирончо се е погрижил и за двата:
http://mironcho.sourceforge.net/pbedic/pbedic-0.2.tar.gz
Активен

Home: A64(E3)@1,1V, Asus A8N-E+CM Blue Ice2, 2x512 TwinMos, 200SATA+40ATA, GB6600, LG DVD-RW, Ozaki 5+1, 17" iiyama E431S TFT, powered by FSP 400W & Slack 10.2 :)
Office: Compaq nx9110 (P4 3,2 MB ATI, 2x256 Infineon, 40ATA, Mob. Radeon 9000, 15,4" TFT, slow down by WinXP and Norton Antivirus :(

mironcho

  • Напреднали
  • *****
  • Публикации: 495
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #2 -: Mar 28, 2003, 11:28 »
Речника ми върши работа, но за момента инсталацията му е малко усложнена за начинаещите.... да не говорим че ще трябва да си компилираш и допълнително PerlQt.
Така че ако не ти се занимава с него, най добре си сложи kbedic:

http://kbedic.sourceforge.net

Сравнително лесен е за инсталация и по мое мнение е по добър от sadict '<img'>
Активен

wandererbg

  • Напреднали
  • *****
  • Публикации: 36
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #3 -: Mar 30, 2003, 16:51 »
Това с LatinOutput отдавна съм го открил, но не ми решава проблема. Освен това, както съм споменал, използвам GNOME(само), поради една прищявка,и не ми се инсталира KDE само заради речника.При опит за инсталация на PerlQT получавам грешка, че нямам qt, а всъщност имам.

П.П. Не съм съвсем начинаещ, така че всички "сложни" решения са добре дошли.

Благодаря за отговорите, все пак!
Активен

mironcho

  • Напреднали
  • *****
  • Публикации: 495
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #4 -: Mar 31, 2003, 14:38 »
За да компилираш QT приложения ти трябва и qt-devel (сигурно знаеш това, но аз все пак да кажа). Иначе kbedic може да се компилира и само с QT - без kde '<img'>
Специално за PerlQt ти трябва и един език SMOKE, който БИ трябвало да е включен в kdebindings. Ако не е включен, PerlQt ще си го билдне сам (включен е в сорса).
Аз имах проблем при компилирането на PerlQt на Redhat 8.0 - наложи се наново са пусна aclocal и automake в разархивираната директория на PerlQt кода. При redhat 7.3 незнам какво е положението '<img'>
Активен

wandererbg

  • Напреднали
  • *****
  • Публикации: 36
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #5 -: Mar 31, 2003, 22:55 »
Благодаря за напомнянето за qt-devel  '<img'> .Не се бях сетил ':0' .Обаче нищо не стана.Компилирах PerlQt що годе успешно-само с няколко warning-а.Обаче като пускам речника или някоя от програмите в 'examples' дава съобщение, че :

can't load '/usr/lib/perl5/site_perl/5.6.1/i386-linux/auto/Qt/Qt.so' for module Qt: libsmokeqt.so.1: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.6.1/i386-linux/XSLoader.pm line 75.
 at /usr/lib/perl5/site_perl/5.6.1/i386-linux/Qt.pm line 701
Compilation failed in require at aclock.pl line 3.
BEGIN failed--compilation aborted at aclock.pl line 3.

А всъщност файла си е там:
/usr/local/kde/lib/libsmokeqt.so.1
само дето не го открива '<img'> .Някакви идеи?
Активен

mironcho

  • Напреднали
  • *****
  • Публикации: 495
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #6 -: Mar 31, 2003, 23:02 »
Проблема е много глупав, ама не е във нас '<img'>
Не намира KDEDIR и го инсталира в custom PATH (/usr/local/kde/....). Обаче ако погледнеш в /etc/ld.so.conf , най вероятно ще видиш че няма път /usr/local/kde/.. '<img'>
Най лесното решение, е да изкопираш библиотеките в /usr/lib/ и след това изпълни ldconfig .
Щом като си решил да се бориш с моя речник, надявам се че не си забравил да сложиш data файловете в /usr/local/share '<img'>
Активен

wandererbg

  • Напреднали
  • *****
  • Публикации: 36
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #7 -: Apr 03, 2003, 21:25 »
Тръгна!!!!! '<img'>  '<img'>  '<img'>  '<img'>  '<img'>  '<img'>  '<img'> !!!!!!!!!!!!!!!!!!!
Евала!! '<img'> Най-после една програма да подкарам като хората!!! '<img'>  '<img'>
Много благодаря за помощта! '<img'>
Ако можеше всички програми дето не ми тръгват да се оправят толкова лесно! ':p'
 (амин  '<img'> )
Активен

asa

  • Напреднали
  • *****
  • Публикации: 48
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #8 -: Apr 05, 2003, 06:19 »
Edin vypros kym Mironcho.
Mozes li da portnes pbedic kym libgtk-perl? Ako go napravis imas mnogo bira ot mene, cast ot neq daze realna  ':p'
Активен

mironcho

  • Напреднали
  • *****
  • Публикации: 495
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #9 -: Apr 05, 2003, 12:11 »
Бях почнал в един момент, ама нещо нямах време тогава '<img'>)
Може някой ден пак да го подхвана .
Активен

wandererbg

  • Напреднали
  • *****
  • Публикации: 36
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #10 -: Apr 11, 2003, 00:03 »
Прибързах да се зарадвам. '<img'> Изглежда че не всичко е толкова хубаво колкото изглежда на пръв поглед. '<img'> За да ми работи PerlQT(включително да ми тръгне речника), се налага да използвам libGL.so.1.4.500 който е драйвер на Mesa, обаче за да ползвам видео картата си (за хардуерно ускорение), трябва да използвам библиотеката предоставена с драйвера от NVIDIA-libGL.so.1.0.4191.Картата е RIVA TNT.Проблемът се оправя/появява (зависи от гледната точка) като сменя символната връзка libGL.so.1 към различните библиотеки.
 '<img'> ПОМОЩ!!! '<img'>
Активен

wandererbg

  • Напреднали
  • *****
  • Публикации: 36
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #11 -: Apr 11, 2003, 00:03 »
Прибързах да се зарадвам. '<img'> Изглежда че не всичко е толкова хубаво колкото изглежда на пръв поглед. '<img'> За да ми работи PerlQT(включително да ми тръгне речника), се налага да използвам libGL.so.1.4.500 който е драйвер на Mesa, обаче за да ползвам видео картата си (за хардуерно ускорение), трябва да използвам библиотеката предоставена с драйвера от NVIDIA-libGL.so.1.0.4191.Картата е RIVA TNT.Проблемът се оправя/появява (зависи от гледната точка) като сменя символната връзка libGL.so.1 към различните библиотеки.
 '<img'> ПОМОЩ!!! '<img'>
Активен

mironcho

  • Напреднали
  • *****
  • Публикации: 495
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #12 -: Apr 11, 2003, 12:42 »
Сега работи ли ти?
Досега не съм забелязал да иска тези библиотеки.... В краен случай можеш да използваш статик инсталацията на perlqt '<img'>
Иначе и аз имам Riva TNT и съм с предпоследните драйвери на NVIDIA, ама не съм срещал твоя проблем....
Единствено възниква проблем с libGL.so , ако след като си сложил по нова версия на драйверите, сложиш по стара - тогава линка не се преправя и трябва сам да си го 'ln -s' -неш.... (това е само като инсталираш NVIDIA_GLX от rpm, ако е от сорса незнам дали прави същите проблеми....)
Активен

wandererbg

  • Напреднали
  • *****
  • Публикации: 36
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #13 -: Apr 11, 2003, 16:00 »
Оправих си проблема като прекомпилирах PerlQT '<img'> .
Активен

mironcho

  • Напреднали
  • *****
  • Публикации: 495
    • Профил
Приблем с SA Dictionary 2.2
« Отговор #14 -: Apr 11, 2003, 18:18 »
Бравос '<img'>
Ако срещнеш някакъв проблем с pbedic или мислиш че има нужда от допълнителни функции, ще се радвам да получа bugreport/future request '<img'>
Активен